/* IMPORT RESOURCES */

@font-face {
    font-family: 'braile'; /*a name to be used later*/
    src: url("../fonts/braile.ttf"); /*URL to font*/
}

@font-face {
    font-family: 'carlito'; /*a name to be used later*/
    src: url("../fonts/Carlito-Regular.ttf"); /*URL to font*/
}

a { /*remove underline from urls*/
    text-decoration: none;
    color: inherit;
}

button{
    padding: 0;
    display: block;
}

body{
    margin:0;
    background-color: #1e0e13;
}

/* TOP NAV BAR */
#navblock{
    position: sticky;
    width: 100%;
    height: 4rem;
    background-color: black;
    z-index: 2;
}

#navaccent{
     width: 100%;
     height: .4em;
     background-color: #71F4FF;
     position:absolute;
     z-index: 2;
     top: 3.2em;
     z-index: 3;
}

#navtext{
    font-size: 35px;
    color:white;
    font-family: "carlito";
    letter-spacing: .02em;
    padding-left: 1%;
    padding-right:1%;
    z-index: 4;
}

#homepagebutton{
    float: left;
    padding-left: 1%;
    padding-right:1%;
    padding-top: .1em;
    text-decoration: underline;
    z-index: 6;
}

@media only screen and (min-width: 771px) {
    #navgrouped{
        visibility: visible;
        right:.2em;
        position: absolute;
        padding-left: 1%;
        padding-right:1%;
        padding-top: .1em;
        a{
            text-decoration: underline;
            padding:.5em;
        };
        z-index: 6;
    }
    #hamburgermenu{
        visibility: hidden;
        display: inline-block;
    }

    #hamburgerLinksHolder{
        visibility: hidden;
        display: inline-block;
    }

    .hamburgercontained{
        visibility: hidden;
    }

}

#hamburgermenu{
     position:absolute;
        top:.5rem;
        right:.5rem;
        width: 2rem;
}

/* hamburgerify */
@media only screen and (max-width: 770px) {
    #navgrouped{
        visibility: hidden;
    }
    #hamburgermenu{
        visibility: visible;
    }

    #hamburgerLinksHolder{
        visibility: hidden;
        display:flex;
        flex-direction: column;
        width: 8rem;
        height:10rem;
        position: absolute;
        top: 4rem;
        right:0rem;
        padding-right:.7rem;
        background-color: black;
    }

    .hamburgercontained{
        color:white;
        width:100%;
        font-size: 2rem;
        text-decoration: underline;
        padding-top: .6rem;
        text-align: right;
        font-family: "carlito";
    }

}

/* unique stuff to this page */
#featureditemsholder{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(100%, 21.5rem), 1fr));
    gap: .7rem;
    grid-auto-flow: row;
    width: 100%;
    padding-top:3vh;
    padding-right: -.6rem;
}

.gridcontained{
    aspect-ratio: 1;
    display:flex;
    width: 100%;
    align-items: center;
    flex-direction:column;
    paint-order: stroke fill;
    background-color: inherit;
}

.clickableimages{
    aspect-ratio: 1;
    width:21.5rem;
    align-items: center;
    border: .3rem solid #71F4FF;
    background-image: url(../images/halftone1.png);
}


.actualimg{
    aspect-ratio: 1;
    width: 100%;
    position: relative;
    top:0;
}

#bgbutton{
    bottom : 0;
    position: fixed;
     background: none;
     border: none;
      background-color: rgba(0, 0, 0, 0.802);
    width: 100%;
    height:100%;
}

#carouselbackground {
    width: 100vw;
    height:100%;
    position: relative;
         visibility: hidden;

}

#pic-center-er{
  display: flex;
  justify-content: center;
  align-items: center;
}

#picholder{
    aspect-ratio: 1;
    height: clamp(15%, 60vw, 75%);
    top:13%;
    position:fixed;
}

#itemondisplay{
    height:100%;
    width:100%;
    background-image: url(../images/halftone1.png);
    opacity:1;
    
    paint-order: stroke fill;
    border: .25rem solid #71F4FF;
    user-select: none;
}

#scrollposition{
    width:100%;
    height:3%;
    display:flex;
    flex-direction: row;
    justify-content: center;
  align-items: center;
    position:relative;
    gap:2%;
    bottom: -3%;
}

.scrollposindicator{
    aspect-ratio: 1;
    border-radius: 50%;
    color:#71F4FF;
    height:100%;
    background-color: #71F4FF;
}

#leftarrowholder{
    aspect-ratio: 162/276;
    position:absolute;
    height:20%;
    left:-17%;
    top:45%;
    background:none;
    border: none;
     z-index: 5000;
     cursor: pointer;
}

#rightarrowholder{
    aspect-ratio: 162/276;
    position:absolute;
    height:20%;
    right:-17%;
    top:45%;
    background:none;
    border: none;
    z-index: 5000;
    cursor: pointer;
}

#leftarrow{
    width: 100%;
    height:100%;
    position: relative;
    pointer-events: none;
}

#rightarrow{
    width: 100%;
    height:100%;
    position: relative;
    pointer-events: none;
}